Get the company inbox
GET
/v1/partner/company/{companyKey}/content
const url = 'https://sender.api.kivra.com/v1/partner/company/example/content';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sender.api.kivra.com/v1/partner/company/example/content \ --header 'Authorization: Bearer <token>'This resource allows to access a high level description for each content in the company inbox, to allow for a first sorting and filtering of the content.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”companyKey
required
Company’s unique key
string
The unique key for the company object being retrieved
Responses
Section titled “Responses”High level description of content items in the company inbox
Media typeapplication/json
Array<object>
CompanyInboxobject
key
Content’s unique key
string
sender
Unique key for the tenant that posted the content
string
sender_name
Name of the tenant that posted the content
string
created_at
Date and time when the content was delivered to the recipient
string
subject
Subject of the content, as set by the sender
string
status
Whether the content has been read (opened) or not
string
Example
[ { "key": "15294092505b9cfab3f79d233f8eca6fbc5385fa61", "sender": "1341573157b3a133f220f4217b2e32989d2efa015", "sender_name": "Kivra", "created_at": "2018-06-19T11:54:10Z", "subject": "Invoice 4512 from Local Bank", "status": "read" }]